import { Signer } from 'ethers';
import { Provider } from '@ethersproject/providers';
import { ERC721EnumerableInterface, ERC721Enumerable } from '../ERC721Enumerable.js';
import '@ethersproject/abi';
import '../common.js';

declare class ERC721Enumerable__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ERC721EnumerableInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ERC721Enumerable;
}

export { ERC721Enumerable__factory };
