import { Signer } from 'ethers';
import { Provider } from '@ethersproject/providers';
import { ERC721MetadataInterface, ERC721Metadata } from '../ERC721Metadata.js';
import '@ethersproject/abi';
import '../common.js';

declare class ERC721Metadata__factory {
    static readonly abi: {
        inputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        outputs: {
            internalType: string;
            name: string;
            type: string;
        }[];
        stateMutability: string;
        type: string;
    }[];
    static createInterface(): ERC721MetadataInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): ERC721Metadata;
}

export { ERC721Metadata__factory };
